/**************
This file deals with a global array of images for the laser.
This array will extend itself (5 by 5) each time it is needed.
**************/











    

  
void Gfree_image(long n);
     

  
long Get_Image(void);



long SegmCreate_image(long nbp, long *laser_val);
     

/************
  write the data segment image n
  in a file. call to wrt_file_sg_c
  (las_io.c);
*************/

  
long write_file_sg(long n);

/************
  read a data file
  in a segment image;
  returns an index on the segment image
*************/

long read_file_sg(const char *file);

    
/*******************
  Returns the actual pointer on the image
  in position n in the global array
*******************/

igla *PtoIm(long n);
     


/****************
  copies an image segment in the array
  laser_segment  (must be allocated).

  laser_segment[0] = number 0f segments;
  arraysize : size of tab laser_segment

  x1,y1,x2y2;

  unit: tenth of inch

  orientation : free-space on the right side

********************/

long Copy_image_segment(long im,long *laser_segment,int arraysize);

/***
  same as above but filter out segment with
  ->flg != 0. 
****/

long Copy_image_segment2(long im,long *laser_segment,int arraysize);

  
/*************
 Creates a global image of laser points
 from an array of laser_val_array[3] snap shots.
 taken from the position
 x = laser_val_array[0], y = laser_val_array[1], th = laser_val_array[2].
 laser_val_array[4] = turret angle of the first snap shot
 laser_val_array[5] = number of point of the first snap shot
 then come the first snap shot pixel values
 etc ....
 defined in LaserAc.c
*************/

long LasScanSegmentation(long *laser_val_array);
     

/*************
 Creates a global image of laser points
 from an array of laser_val_array[3] snap shots.
 taken from the position
 x = laser_val_array[0], y = laser_val_array[1], th = laser_val_array[2].
 laser_val_array[4] = turret angle of the first snap shot
 laser_val_array[5] = number of point of the first snap shot
 then come the first snap shot pixel values
 etc ....
 
*************/

long LasScanningTransformation(long *laser_val_array);
  








/*******
	SetAbsPosImage 
 *******/

void SetAbsPosImage(int image, double *pos);


/**
   Copy_image_point
**/

long Copy_image_point(long im,long *laser_point, int arraysize);




